Eclipse Platform Release 3.7

## org.eclipse.team.ui
Interface ISaveableWorkbenchPart

All Superinterfaces:
  IAdaptable, ISaveablePart, IWorkbenchPart

All Known Implementing Classes:
  HistoryPageSaveablePart, PageSaveablePart, ParticipantPageSaveablePart, SaveablePartAdapter

Deprecated. Clients should use a subclass of `CompareEditorInput` and `CompareUI.openCompareDialog(org.eclipse.compare.CompareEditorInput)`

    public interface ISaveableWorkbenchPart

extends ISaveablePart, IWorkbenchPart

A saveable workbench part is a visual component that can be shown within different contexts (e.g a dialog, workbench page).

Since:
  3.0
See Also:
  `SaveablePartDialog`

Field Summary
`static int` `PROP_DIRTY` Deprecated. The property id for `isDirty`.

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Method Summary

Methods inherited from interface org.eclipse.ui.ISaveablePart
`doSave, doSaveAs, isDirty, isSaveAsAllowed, isSaveOnCloseNeeded`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, createPartControl, dispose, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener, setFocus`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Field Detail

### PROP_DIRTY

    static final int PROP_DIRTY

  Deprecated.
  The property id for `isDirty`.

  See Also:
    Constant Field Values

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.